var list = [10, 30, 5, 60, 40, 78, 56, 30, 24, 80];
var svgWidth = 320;	// SVG領域の横幅
var svgHeight = 240;	// SVG領域の縦幅
var barScale = 2;	// 2倍サイズで描画
var yBarSize = 18;	// 棒グラフの縦幅
var xOffset = 4;	// 横方向のオフセット
var svg = d3.select("#myGraph").append("svg")
	.attr("width", svgWidth).attr("height", svgHeight)
svg.selectAll("rect")	// SVGでの四角形を示す要素を指定
	.data(list)	// データを設定
	.enter()
	.append("rect")	// SVGでの四角形を示す要素を生成
	.attr("x", xOffset)	// 横棒グラフなのでX座標は0+オフセット。これはSVG上での座標
	.attr("y", function(d,i){	// Y座標を配列の順序に応じて計算
		return i * yBarSize;
	})
	.attr("width", function(d){	// 横幅を配列の内容に応じて計算
		return (d*barScale) +"px";
	})
	.attr("height", "16")	// 棒グラフの高さを指定
	.attr("style", "fill:rgb(255,0,0)")	// 棒グラフの色を赤色に設定
// マウスがバーに重なったら色を青色に変える
	.on("mouseover", function(){
		d3.select(this)	// マウスに重なった要素を選択
			.attr("style", "fill:rgb(0,0,255)");
	})
// マウスがバーから離れたら色を赤色に戻す
	.on("mouseout", function(){
		d3.select(this)	// マウスに重なっていた要素を選択
			.attr("style", "fill:rgb(255,0,0)");
	})
